#!/bin/sh
#
#  Licensed to the Apache Software Foundation (ASF) under one or more
#  contributor license agreements.  See the NOTICE file distributed with
#  this work for additional information regarding copyright ownership.
#  The ASF licenses this file to You under the Apache License, Version 2.0
#  (the "License"); you may not use this file except in compliance with
#  the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.


# Included as an example of how to set up a project. Works in *nix environments
# Update TVER and TTAGVER with the Tomcat version number in appropriate format
TVER=7.0.19
#export TTAGVER=6_0_20

GVER=${TVER}.0-SNAPSHOT

svn rm --force tomcat-parent-${TVER}
rm -rf tomcat-parent-${TVER}/
mvn archetype:generate\
 -DarchetypeCatalog=local\
 -DinteractiveMode=false\
 -DarchetypeGroupId=org.apache.geronimo.ext.tomcat\
 -DarchetypeArtifactId=tomcat-parent-archetype\
 -DarchetypeVersion=1.0-SNAPSHOT\
 -DgroupId=org.apache.geronimo.ext.tomcat\
 -DartifactId=tomcat-parent-${TVER}\
 -Dversion=${GVER}\
 -Dpackage=org.apache

cd tomcat-parent-${TVER}
chmod u+x fixup.sh
./fixup.sh
cd ..
svn add tomcat-parent-${TVER}
cd tomcat-parent-${TVER}

svn status

./svn-actions.sh

mvn clean install

